### A free/open-source library for quantitative finance

Public Member Functions
GaussGegenbauerIntegration Class Reference

Gauss-Gegenbauer integration. More...

`#include <ql/math/integrals/gaussianquadratures.hpp>`

Inheritance diagram for GaussGegenbauerIntegration:
[legend]

List of all members.

## Public Member Functions

| GaussGegenbauerIntegration (Size n, Real lambda)

## Detailed Description

Gauss-Gegenbauer integration.

This class performs a 1-dimensional Gauss-Gegenbauer integration.

The weighting function is